# std::subtract_with_carry_engine::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | subtract with carry engine

static constexpr result_type max(); |  | (since C++11)

Returns the maximum value potentially generated by the random-number engine. This value is equal to 2w
- 1, where `w` is the template parameter also accessible as static member word_size.

### Parameters

(none)

### Return value

The maximum potentially generated value.

### Complexity

Constant

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/subtract_with_carry_engine/max&oldid=51035"